## pcapsipdump-2020-03-03-157.tar.xz

=== Makefile ===
LIBS ?= -lpcap -lstdc++
RELEASEFLAGS ?= -O3 -Wall
#CXXFLAGS ?= --std=c++0x

# auto-detect if bsd/strings.h is available
ifeq ($(shell $(CXX) $(CXXFLAGS) $(LDFLAGS) $(DEFS) -E -o /dev/null \
    	make-checks/libbsd.cpp 2>/dev/null; echo $$?),0)
	BSDSTR_DEFS := -DUSE_BSD_STRING_H
	BSDSTR_LIBS := -lbsd
endif

# auto-detect rhel/fedora and debian/ubuntu
ifneq ($(wildcard /etc/redhat-release),)
	EXTRA_INSTALL := install-redhat
endif
ifneq ($(wildcard /etc/debian_version),)
	EXTRA_INSTALL := install-debian
endif

all: make-checks/all pcapsipdump

include make-checks/*.mk

pcapsipdump: make-checks *.cpp *.h
	$(CXX) $(RELEASEFLAGS) $(CXXFLAGS) $(LDFLAGS) $(DEFS) $(BSDSTR_DEFS) \
	*.cpp \
	$(LIBS) $(BSDSTR_LIBS) \
	-o pcapsipdump

pcapsipdump-debug: make-checks *.cpp *.h
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(DEFS) $(BSDSTR_DEFS) -ggdb \
	*.cpp \
	$(LIBS) $(BSDSTR_LIBS) -pg \
	-o pcapsipdump-debug

clean: make-checks/clean
	rm -f pcapsipdump pcapsipdump-debug gmon.out

install: pcapsipdump $(EXTRA_INSTALL)
	install pcapsipdump ${DESTDIR}/usr/sbin/pcapsipdump
	mkdir -p ${DESTDIR}/var/spool/pcapsipdump
	chmod 0700 ${DESTDIR}/var/spool/pcapsipdump

install-redhat:
	install redhat/pcapsipdump.init ${DESTDIR}/etc/rc.d/init.d/pcapsipdump
	install redhat/pcapsipdump.sysconfig ${DESTDIR}/etc/sysconfig/pcapsipdump

install-debian:
	install debian/pcapsipdump.init ${DESTDIR}/etc/init.d/pcapsipdump
	install debian/pcapsipdump.default ${DESTDIR}/etc/default/pcapsipdump

.PHONY: tests

tests:
	make -C tests

=== tests/Makefile ===
.PHONY: tests

tests:
	$(MAKE) -C unit
	$(MAKE) -C .. pcapsipdump
	#$(MAKE) -C segfaults
	$(MAKE) -C performance

=== tests/performance/Makefile ===
LIBS ?= -lpcap -lstdc++
CXXFLAGS ?= --std=c++11

tests: calltable_benchmark

calltable_benchmark: calltable_benchmark.cpp ../../calltable.cpp ../../calltable.h
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(DEFS) $(BSDSTR_DEFS) -ggdb -pg \
	calltable_benchmark.cpp ../../calltable.cpp $(LIBS) $(BSDSTR_LIBS) \
	-o calltable_benchmark

=== tests/segfaults/Makefile ===
tests:
	rm -rf tmp && mkdir tmp
	./packet-size.prepare tmp/size.pcap
	md5sum tmp/size.pcap
	../../pcapsipdump -r tmp/size.pcap -d tmp
	rm -rf tmp

=== tests/unit/Makefile ===
.PHONY: tests
tests:
	gcc pcapsipdump_strlib_unittest.cpp ../../pcapsipdump_strlib.cpp \
	-o ./pcapsipdump_strlib_unittest -ggdb
	./pcapsipdump_strlib_unittest

=== debian/changelog ===
pcapsipdump (0.2-1) UNRELEASED; urgency=low

  * Updates package to latest SVN 0.2 from source forge

 -- Package Admin <packages@dynamicpacket.com>  Mon, 27 Feb 2012 14:17:57 +0200

pcapsipdump (0.1.4-1) UNRELEASED; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Bjoern Boschman <bjoern@boschman.de>  Tue, 30 Sep 2008 14:17:57 +0200

=== debian/control ===
Source: pcapsipdump
Section: unknown
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Bjoern Boschman <bjoern@boschman.de>
Build-Depends: cdbs, cdbs, debhelper (>= 5), libpcap0.8-dev
Standards-Version: 3.8.0

Package: pcapsipdump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8
Description: pcapsipdump is a tool for dumping SIP sessions
 pcapsipdump is a tool for dumping SIP sessions (+RTP traffic, if available) to disk 
 in a fashion similar to "tcpdump -w" (format is exactly the same), 
 but one file per sip session (even if there is thousands of concurrect SIP sessions).

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.

get-orig-source:
	@@dh_testdir
	@@[ -L ../tarballs ]||ln -s ../tarballs ../tarballs
	@@uscan --force-download --destdir ../tarballs
